// C Source File
// Created 3/27/04; 5:02:29 AM
// Shows cards on the ticalc screen
// run program to view 36 cards, press
// a button to view the other cards and 
// press button again to exit.
// Use the header file cards52.h to use 
// in your card game.
// Danny H. Newport
// 3-27-04
// Sprites created with SpritED and
// compiled with TiGcc
//

#define COMMENT_STRING         "Display card deck of 52 cards"
#define COMMENT_PROGRAM_NAME   "cards52"
#define COMMENT_VERSION_STRING ".2"
#define COMMENT_VERSION_NUMBER 0,0,0,0 /* major, minor, revision, subrevision */
#define COMMENT_BW_ICON \
	{0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000}
#define COMMENT_GRAY_ICON \
	{0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000}, \
	{0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000, \
	 0b0000000000000000}

#include <tigcclib.h>
#include "cards52.h"
void MoveArrow()
{
	static int x=0;
	static int y=50;
	int loop=0;
	int arrow_delay=6000;
		
	while( _keytest(RR_UP))
	{
		for(loop=0;loop<arrow_delay;loop++)
		{
			y=y;
		}
		Sprite8 (x,y,8,arrow,LCD_MEM,SPRT_XOR);//arrow
		if(_keytest(RR_LEFT))
		{
			if(x>1)
				x--;	
		}
		else if(_keytest(RR_RIGHT))
		{
			
			if(x<159)
				x++;	
		}
		if(y>1)
			y--;
		Sprite8 (x,y,8,arrow,LCD_MEM,SPRT_XOR);//arrow
		
	}
	
	while( _keytest (RR_DOWN))
	{
		for(loop=0;loop<arrow_delay;loop++)
		{
			y=y;
		}
		Sprite8 (x,y,8,arrow,LCD_MEM,SPRT_XOR);//arrow
		if(_keytest(RR_LEFT))
		{
			if(x>1)
				x--;	
		}
		else if(_keytest(RR_RIGHT))
		{
			if(x<159)
				x++;	
		}
		if(y<99)
			y++;
		Sprite8 (x,y,8,arrow,LCD_MEM,SPRT_XOR);//arrow
	}
	
	while( _keytest (RR_LEFT))
	{
		for(loop=0;loop<arrow_delay;loop++)
		{
			y=y;
		}
		Sprite8 (x,y,8,arrow,LCD_MEM,SPRT_XOR);//arrow
		if(_keytest(RR_UP))
		{
			if(y>1)
				y--;
		}
		else if(_keytest(RR_DOWN))
		{
			if(y<99)
				y++;	
		}
		if(x>1)
			x--;
		
		Sprite8 (x,y,8,arrow,LCD_MEM,SPRT_XOR);//arrow
	}
	
	while( _keytest (RR_RIGHT))
	{
		for(loop=0;loop<arrow_delay;loop++)
		{
			y=y;
		}
		Sprite8 (x,y,8,arrow,LCD_MEM,SPRT_XOR);//arrow
		if(_keytest(RR_UP))
		{
			if(y>1)
				y--;
		}
		else if(_keytest(RR_DOWN))
		{
			if(y<99)
				y++;	
		}
		if(x<159)
			x++;
		Sprite8 (x,y,8,arrow,LCD_MEM,SPRT_XOR);//arrow
	}
	
	
	
	
}

// Main Function
void _main(void)
{

  int x = 0;
  int y = 0;
  int count=0;
	int loop=0;
	int key=KEY_F1;
  ClrScr();
for(loop=0;loop<52;loop++)
{

	x=((count)*17);						
	if(x>(159-17)||loop==36)
	{
		if(loop==36)//only show 36 cards on 1 screen
		{		
			y=-23;
			ngetchx();				
			clrscr();		//clear screen and show the rest
		}	
		x=0;
		y+=23;
		count=0;
	}
	count++;

  Sprite16 (x,y,22,deck[loop], LCD_MEM,SPRT_XOR);
	
}
	Sprite8(10,50,8,pointer,LCD_MEM,SPRT_XOR);
	Sprite8 (0,50,8,arrow,LCD_MEM,SPRT_XOR);//arrow
	printf_xy(0,70,"Use Arrow keys to move");
	printf_xy(0,80,"cursor & ESC to exit");
	key=ngetchx();
	while(key!=KEY_ESC)
	{
		MoveArrow();
		if(_keytest(RR_ESC))
		{
			key=KEY_ESC;
		}
	}
}
